org.apache.xmlbeans.impl.xb.xsdschema

## Interface SimpleExtensionType

All Superinterfaces:
  Annotated, ExtensionType, OpenAttrs, XmlObject, XmlTokenSource

All Known Implementing Classes:
  SimpleExtensionTypeImpl

    public interface SimpleExtensionType
    extends ExtensionType

An XML simpleExtensionType(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static DocumentFactory<SimpleExtensionType>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.ExtensionType

`addNewAll, addNewAnyAttribute, addNewAttribute, addNewAttributeGroup, addNewChoice, addNewGroup, addNewSequence, getAll, getAnyAttribute, getAttributeArray, getAttributeArray, getAttributeGroupArray, getAttributeGroupArray, getAttributeGroupList, getAttributeList, getBase, getChoice, getGroup, getSequence, insertNewAttribute, insertNewAttributeGroup, isSetAll, isSetAnyAttribute, isSetChoice, isSetGroup, isSetSequence, removeAttribute, removeAttributeGroup, setAll, setAnyAttribute, setAttributeArray, setAttributeArray, setAttributeGroupArray, setAttributeGroupArray, setBase, setChoice, setGroup, setSequence, sizeOfAttributeArray, sizeOfAttributeGroupArray, unsetAll, unsetAnyAttribute, unsetChoice, unsetGroup, unsetSequence, xgetBase, xsetBase`

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<SimpleExtensionType> Factory

#### type

    static final SchemaType type